commit:     038c0ba81ae3577456492d285fc09073e9c6912c
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 11 01:20:51 2016 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Sun Dec 11 01:21:29 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=038c0ba8

dev-python/setuptools: version bump to 30.4.0

 dev-python/setuptools/Manifest                 |  1 +
 dev-python/setuptools/setuptools-30.4.0.ebuild | 70 ++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index cc086f7..1a29db2 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -4,3 +4,4 @@ DIST setuptools-27.2.0.tar.gz 638181 SHA256 
afdd54245ebdf5662a26114139d37d3b5bc3
 DIST setuptools-28.7.1.tar.gz 645407 SHA256 
6aae26f13411c3102fc915db6e44b62a97f76a7ba7e963daabf78c57240ac166 SHA512 
9fe2c6abbe21516742d2f03ce0962061ef50fcafd2c95f6aabf0441571b12c2af40c73244c00629dadd3b97f2404ea761d8d8f131dfceea8411828f71b0738d8
 WHIRLPOOL 
a7a7ede4b27af9a3ce761e143006de09d38422277fa47d27a0498f7e6b335ca5c25fa4731a5371d622f8d06f8cafd513bcde2f0fff81bde18e3195a3967bd686
 DIST setuptools-28.8.0.tar.gz 646952 SHA256 
432a1ad4044338c34c2d09b0ff75d509b9849df8cf329f4c1c7706d9c2ba3c61 SHA512 
da7381ecf6deaaa100202165c76c1abddfe825d9ec4e05ec976a455e5abf5b00a52d4e8806fef751dd2347869adb4dffbecb899e51716cb6abc7164ec0c8a1cb
 WHIRLPOOL 
b86b6662522125e9cad05d3bd435dd9975b22ef18737aaca401493c786d49b663c588c6407e1c679578cef1be39d6751bba7ef11831f8c5d1d42c65d7d8067f0
 DIST setuptools-30.3.0.tar.gz 655000 SHA256 
2ea217cc858de2ad59c87a5ccb4d22422abd8cf7235803b06df7983e1a581096 SHA512 
dec552b8603a003e5b8200155f480c10b5df54f77b9640cf92d6a80ec840e017691af51ce392dfee5339c18a17cd0437cc67a04f036722877d17e4e27280835e
 WHIRLPOOL 
9d095dc1017d169f2ae97b47adf8e68202d24acae32deeaa8ddf4b94ec1d849f9d3aebc0e5ade7bd2195c1435332a22284462404385f32eea87100ffd1bdea23
+DIST setuptools-30.4.0.tar.gz 655934 SHA256 
2bea341aa5b48ae05521374d9c473713e42dde7f8712a731904a6f8257e896ed SHA512 
8239262e11c7702165d7539d57982dadd16e61a992529cb4d5f42141d57ffbab46fd928c765d0439ec4f07db1bc252b9a4604901d8f9951e55076438bdd6f515
 WHIRLPOOL 
4866efbe00d23291ad07b401d7924f2f150a38664ab0a3d9afe9e00aa4e887de6c9e82f81e7d2ec157b1bf05406b2616a08772fa9f3a45e1e20fddbe27c11fd2

diff --git a/dev-python/setuptools/setuptools-30.4.0.ebuild 
b/dev-python/setuptools/setuptools-30.4.0.ebuild
new file mode 100644
index 00000000..5b98907
--- /dev/null
+++ b/dev-python/setuptools/setuptools-30.4.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy pypy3 )
+
+inherit distutils-r1
+
+if [[ ${PV} == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/pypa/setuptools.git";
+       inherit git-r3
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd 
~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux 
~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="https://github.com/pypa/setuptools 
https://pypi.python.org/pypi/setuptools";
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+
+RDEPEND=""
+#      >=dev-python/packaging-16.4[${PYTHON_USEDEP}]
+#      >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+#      "
+DEPEND="${RDEPEND}
+       test? (
+               dev-python/pip[${PYTHON_USEDEP}]
+               >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+       )
+"
+#      >=dev-python/pyparsing-2.0.6[${PYTHON_USEDEP}]
+PDEPEND="
+       >=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]"
+
+# Force in-source build because build system modifies sources.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+DOCS=( {CHANGES,README}.rst 
docs/{easy_install.txt,pkg_resources.txt,setuptools.txt} )
+
+python_prepare_all() {
+       if [[ ${PV} == "9999" ]]; then
+               python_setup
+               ${EPYTHON} bootstrap.py || die
+       fi
+
+       # rm -r ./pkg_resources/_vendor || die
+       # disable tests requiring a network connection
+       rm setuptools/tests/test_packageindex.py || die
+
+       # don't run integration tests
+       rm setuptools/tests/test_integration.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       # test_easy_install raises a SandboxViolation due to 
${HOME}/.pydistutils.cfg
+       # It tries to sandbox the test in a tempdir
+       HOME="${PWD}" py.test --verbose ${PN} || die "Tests failed under 
${EPYTHON}"
+}
+
+python_install() {
+       export DISTRIBUTE_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT=1
+       distutils-r1_python_install
+}

Reply via email to